
Core - Bug # 50301

Status: Accepted Priority: Must have
Author: Matthias Toscanelli Category: Backend API
Created: 2013-07-22 Assigned To:
Updated: 2015-01-02 Due date:
TYPO3 Version: 6.0
PHP Version: 5.4
Complexity:
Is Regression: No
Sprint Focus:
Subject: Generated thumbnail's URL with BackendUtility::getThumbNail don't work
Description

When a thumbnail's URL is generated with BackendUtility::getThumbNail, the "thumbs.php" script can't display it.
It trows an exception:

TYPO3 Fatal Error: The requested image does not exist and/or MD5 checksum did not match. If the target file exists and its file
name contains special characters, the setting of $TYPO3_CONF_VARS[SYS][systemLocale] might be wrong.

The bug comes from MD5 checksum:

    -  In "BackendUtility::getThumbNail", the checksum is calculated with "md5" 
    -  In "ThumbnailView::init", the checksum is calculated with "GeneralUtility::shortMD5"

I don't know which one should be changed, i let you choose.

Related issues:
related to Core - Bug # 59215: t3lib_BEfunc::getThumbnail doesn't work anymore Needs Feedback2014-05-29
blocked by Core - Feature # 33751: Make use of File Abstraction Layer in Backend Resolved 2012-02-07

History
#1 - 2013-07-22 19:23 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22499

#2 - 2013-07-22 19:24 - Markus Klein

For version 6.0 the FAL Team removed the wrong line of code. (http://review.typo3.org/10655)

$md5pre47 = t3lib_div::shortMD5($check);
$md5from47 = md5($check);
if (!strcmp($md5pre47, $md5sum) || !strcmp($md5from47, $md5sum)) {
    $OK = TRUE;
}
was reduced to:

$md5_real = t3lib_div::shortMD5($check);
if (!strcmp($md5_real, $md5sum)) {
    $OK = TRUE;
}

#3 - 2013-09-12 23:47 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22499

#4 - 2013-09-14 12:14 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22499

#5 - 2013-09-15 11:53 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22499

#6 - 2013-09-15 12:00 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22499

#7 - 2013-12-12 11:00 - Markus Klein
- Status changed from Under Review to Accepted
- Is Regression set to No

Current patch has been abandoned.

#8 - 2015-01-02 12:07 - Benjamin Mack

please also see https://review.typo3.org/#/c/35694/
